
 * Activity starter code

 * Open file used in example -- CHANGE THIS
use "F:\13_ICPSR\Download\Activities\STATA_Activity_Data.dta", clear

 * Stacking data for XTMIXED (wide to long)
 * list time-varying variables first, i(level2ID) j(newtimeID)
reshape long severity stress, i(PersonID) j(month)

 * Getting person mean stress (for use in activity 3)
egen pmstress = mean(stress), by(PersonID)

 * Labeling all variables
label variable PersonID "PersonID: Unique Identifier"
label variable baseage  "baseage: Age at Baseline"
label variable treat  	"treat: Treatment Group (1=control, 2=treatment)"
label variable month 	"month: Month of Study"
label variable severity "severity: Time-Varying Severity Outcome"
label variable stress 	"stress: Time-Varying Stress Predictor"
label variable pmstress "pmstress: Person-Mean Stress Predictor"

 * Center predictors here



///////////////////////////////////////////////////////////////////////////////////////
// xtmixed DV fixed effects, FE options || Level2ID: random effects, RE options ///
//	  variance reml/mle covariance(Gmatrix type) residuals(Rmatrix type), t(Level1ID),
//	  estat ic n(#persons),
//    estimates store ModelName,  
// 	  lrtest BiggerModel SmallerModel
///////////////////////////////////////////////////////////////////////////////////////

 * Now it is your turn!

	

